Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I am trying to build a project that uses GLEW (using makefile provided by the developers of the project). It gives the following error message:

[LINK] ./dist/linux/x86_64/GPUSPH
/usr/bin/ld: cannot find -lGLEW_x86_64
collect2: ld returned 1 exit status
make: *** [all] Error 1

I already have the libglew1.5 and libglewmx1.5 packages installed (both runtime and development environment) from Synaptic Package Managers. Are these the 32 bit or 64 bit versions? (I'm using Ubuntu 11.04 64 bit)

If those are 32 bit versions, are there 64 bit versions available somewhere in the repositories?

If I have to compile from the source, how do I install the libraries so the linker can find it?

share|improve this question
    
@jorge-castro: A little bit of clarification, I was not trying to compile GLEW. The makefile of this program that I want to build wants to link to GLEW library. I'll edit the title to better reflect what I mean. –  user65967 May 25 '12 at 11:33
add comment

closed as off topic by fossfreedom Feb 2 '13 at 10:16

Questions on Ask Ubuntu are expected to relate to Ubuntu within the scope defined by the community. Consider editing the question or leaving comments for improvement if you believe the question can be reworded to fit within the scope. Read more about reopening questions here.If this question can be reworded to fit the rules in the help center, please edit the question.

Browse other questions tagged or ask your own question.